
QGIS Application - Bug report #13746

Duplicating a layer doesn't copy scale dependent visibility

2015-11-03 08:02 AM - Nicolas Boisteault

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21773

Description

To reproduce the bug :

    -  Make a layer

    -  Set a scale dependent visibility

    -  Duplicate the layer

The scale dependent visibility is not copied to the new layer.

Associated revisions

Revision a5b2a069 - 2015-11-19 10:50 PM - Sebastian Dietrich 

made copy/paste style aware of scale based visibility (fixes #13746)

Revision fbb3dc50 - 2015-11-20 06:37 PM - Matthias Kuhn 

Merge pull request #2487 from SebDieBln/CopyPasteScaleBasedVisibility

Make copy/paste style aware of scale based visibility (fixes #13746)

History

#1 - 2015-11-05 11:43 AM - Giovanni Manghi

- OS version deleted (7)

- Target version set to Future Release - Lower Priority

- Category set to Map Legend

- Affected QGIS version changed from 2.8.3 to master

- Operating System deleted (Windows)

Confirmed on master and Linux.

#2 - 2015-11-19 02:05 PM - Sebastian Dietrich

Copy style and Paste style also do not operate on the scale based visibility settings. Duplicate layer internally uses these functions, hence the settings are

not applied to the duplicated layer.

See PR 2487 for the solution.
https://github.com/qgis/QGIS/pull/2487


#3 - 2015-11-20 09:37 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"fbb3dc5050491b94cd1dce61d327e494d2f3da30".
